Bug 703503 - (ghc-xdg-basedir) Review Request: ghc-xdg-basedir - Haskell library implementing XDG base directory spec
Review Request: ghc-xdg-basedir - Haskell library implementing XDG base direc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-dyre
  Show dependency treegraph
 
Reported: 2011-05-10 10:37 EDT by Narasimhan
Modified: 2014-11-12 18:15 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-xdg-basedir-0.2.2-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 18:55:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-xdg-basedir.spec-1.patch (1.12 KB, patch)
2012-04-09 00:55 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Comment 1 Narasimhan 2012-03-25 04:31:53 EDT
Spec file:
http://narasim.fedorapeople.org/package_reviews/ghc-xdg-basedir.spec

SRPM:
http://narasim.fedorapeople.org/package_reviews/ghc-xdg-basedir-0.2.1-1.fc15.src.rpm

rpmlint  -i ghc-xdg-basedir-devel-0.2.1-1.fc15.x86_64.rpm ghc-xdg-basedir-0.2.1-1.fc15.x86_64.rpm ghc-xdg-basedir-0.2.1-1.fc15.src.rpm  ../ghc-xdg-basedir.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Jens Petersen 2012-04-09 00:55:54 EDT
Created attachment 576111 [details]
ghc-xdg-basedir.spec-1.patch

Sorry I should have pushed the latest cabal2spec to older releases...

For rawhide you now need to list the LICENSE explicitly.

Also some improve the summary text and description formatting.
Comment 3 Jens Petersen 2012-04-09 01:02:53 EDT
Builds for f18 with above patch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3973853
Comment 4 Jens Petersen 2012-04-23 05:38:53 EDT
Here is the review:

 +:ok, NA: not applicable, !:needs attention

MUST Items:
[+] MUST: rpmlint output [1]

rpmlint clean

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]

Please apply above patch to add LICENSE to %ghc_files when importing.

[+] MUST: The spec file must be written in American English [5] and legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

f560e3a29a6cd0d6d346e9f649699208  xdg-basedir-0.2.1.tar.gz

[+] MUST: successfully compile and build into binary rpms on a primary arch [7]
[+] MUST: if necessary use ExcludeArch for other archs [8]
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[+] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock. [27]
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]

Package is APPROVED.

Please apply the patch from comment 2 with a changelog entry when importing.
Comment 5 Narasimhan 2012-04-23 09:20:21 EDT
Thanks for the review. Yes, will apply the patch.

New Package SCM Request
=======================
Package Name: ghc-xdg-basedir
Short Description: Haskell library implementing XDG base directory spec
Owners: narasim
Branches: f17 f16 el6
InitialCC: haskell-sig
Comment 6 Jon Ciesla 2012-04-23 09:52:42 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-04-23 10:33:10 EDT
ghc-xdg-basedir-0.2.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-xdg-basedir-0.2.1-2.fc17
Comment 8 Fedora Update System 2012-04-23 10:33:20 EDT
ghc-xdg-basedir-0.2.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-xdg-basedir-0.2.1-2.fc16
Comment 9 Fedora Update System 2012-04-23 23:20:45 EDT
ghc-xdg-basedir-0.2.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-05-03 18:55:43 EDT
ghc-xdg-basedir-0.2.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-05-04 19:09:10 EDT
ghc-xdg-basedir-0.2.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Jens Petersen 2014-10-23 01:28:18 EDT
Package Change Request
======================
Package Name: ghc-xdg-basedir
New Branches: epel7 el6
Owners: petersen
InitialCC: haskell-sig
Comment 13 Jon Ciesla 2014-10-23 08:19:41 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2014-10-24 05:53:50 EDT
ghc-xdg-basedir-0.2.2-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-xdg-basedir-0.2.2-4.el7
Comment 15 Fedora Update System 2014-11-12 18:15:20 EST
ghc-xdg-basedir-0.2.2-4.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.